/*
	nlClassModule.h
	MetroTools, Release 2.1
	Copyright (c) 1992-93, Metrosoft.  All rights reserved. 
*/


#import <appkit/appkit.h>

/* drawing data record */
typedef struct
	{
		id		theView;
		NXRect	*obsList;
		int		nObsRects;
		void	*userData;
	} drawParamRec;
	
@interface nlClassModule:Object
{
	NXBundle	*modBundle;
	id			screenSaver;
	float		volume;
	BOOL		muted;
}

- setBundle:bundle;

- (NXBundle*)bundle;

- setVolume:(float)val;

- setMute:(BOOL)isMuted;

- (float)getVolume;

- (BOOL)isMuted;

- (BOOL)usesSound;

- playSound:(id)sound:(int)callerID;

- stopSound:(int)callerID;

- (id)retrieveSound:(const char*)name;

- sendChanged;

- initSelf:(BOOL)ifOnly;

- doActivate:(id)ssTool;

- doDeactivate;

- unload;

- loadSettings:(NXTypedStream*)tsp:(int)version;

- writeSettings:(NXTypedStream*)tsp;

- defaultSettings;

- (int)version;

- prepDraw:(drawParamRec*)drawData:(BOOL)inFore;

- drawFrame:(drawParamRec*)drawData:(BOOL*)didDraw:(NXColor)backColor;

- endDraw:(drawParamRec*)drawData;

/* sound support routines */
void nl_initSound(void);
void nl_resetSound(void);

@end
