/*
	ToolController.h
	MetroTools, Release 2.1
	Copyright (c) 1992-93, Metrosoft.  All rights reserved. 
*/

#import	<appkit/appkit.h>
#import "MetroTools.h"
#import "MTModule.h"

// tool filetype
#define TOOLFILETYPE	".mtModule"

// loaded tool module list
typedef struct
{
	id		theTool;			/* id of tool instance */
	char	toolName[128];		/* name string for tool */
	View	*toolView;			/* the view of the tool's controls (or NULL) */
	Window	*toolPrefs;			/* the prefs window for the tool (or NULL) */
} ToolRec;

typedef struct
{
	int		nTools;			/* # of tools in list */
	int		curTool;		/* current tool */
	ToolRec	tools[0];		/* list of loaded tools */
} ToolList;

	
@interface ToolController:Object
{
    id			ToolView;
    id			ToolControls;
	id			ToolBox;
	id			stringTable;
	id			MainWindow;
	id			ToolScrollView;
	id			ExpandButton;
	id			DividingLine;
	BOOL		firstShow;
	NXSize		minWindSize;
	NXSize		normWindSize;
	BOOL		windIsShrunk;
	
	// tool list variables
	ToolList	*theTools;
		
	// time bomb variables
	long			bombTime;
	DPSTimedEntry	bombTE;
	id				DemoText1;
	id				DemoText2;
	id				DemoText3;
	id				SplashWind;
	id				TimeBombWind;
}

// IB methods
- ToolSelect:sender;
- makeToolVisible:sender;
- ToolHelp:sender;
- ShowPrefs:sender;
- ResizeMainWindow:sender;
- SendFeedback:sender;
- cleverPrintPSCode:sender;

// non-IB methods
- (BOOL)checkTimeBomb;
- closeBombWind:sender;
- closeSplashWind:sender;
- BombHandler;
- finishInit:sender;		

// support methods
- sendMailTo:(const char *)to subject:(const char *)subject body:(const char*)body;
- findDocView:view;
- docToPrint;
- printablePanel;
- LoadHelpFiles:sender;		
- (BOOL) menuItemUpdate:menuCell;
- (BOOL) validateCommand:menuCell;

@end
