/*
	muCheckMatrix.h
	MetroTools, Release 2.1
	Copyright (c) 1992-93, Metrosoft.  All rights reserved. 
*/

/*
	Note: This file was taken and modified from NeXT developer
	example code.  Here is the original disclaimer:
		
		NiftyMatrix.h
		By Jayson Adams, NeXT Developer Support Team
		You may freely copy, distribute and reuse the code in this example.
		NeXT disclaims any warranty of any kind, expressed or implied, as to its
		fitness for any particular use.
*/

#import <appkit/appkit.h>
#import <MetroUtils/muCheckCell.h>

@interface muCheckMatrix:Matrix
{
    id	matrixCache, cellCache, activeCell;
}

// class methods
+ newMatrixInScrollView:(ScrollView*)sView 
	target:anObject 
	actions:(SEL)shuffleAction:(SEL)selectAction 
	selFlag:(BOOL)allowSelect;
/*
This method sets up a muCheckMatrix with a certain certain cell type (muCustomCell) that has a title and an optional check area.  When the check area is clicked on, the cell toggles a check mark in the check area, at the same time toggling the state.  If the cell is clicked on outside of the check area, the cell is hilited, but the check mark state is not toggled.  The Matrix is set up as a list.  shuffleAction is the selector that is called (for the target) when the list is shuffled, and selectAction is the selector that is called (for the target) when a check mark is toggled.  If allowSelect is false, the cells cannot be selected.  They can only have their state changed, and clicking anywhere in them will change their state.
*/


/* instance methods */
- free;
- mouseDown:(NXEvent *)theEvent;
- drawSelf:(NXRect *)rects :(int)count;
- setupCacheWindows;
- sizeCacheWindow:cacheWindow to:(NXSize *)windowSize;

@end
