/*
	muDirectory.h
	MetroTools, Release 2.1
	Copyright (c) 1992-93, Metrosoft.  All rights reserved. 
*/

#import <appkit/appkit.h>
#import <sys/dir.h>

// directory list
typedef struct
{
	char	path[256];		/* the path */
	DIR		*dir;			/* pointer to directory */
} DirRec;

typedef struct
{
	int		nDirs;				/* number of directory slots in list */
	int		curDepth;			/* current depth in list */
	DirRec	dirs[0];			/* list of directories */
} DirList;

@interface muDirectory:Object
{
	DirList *dirStack;		
}

// Public methods
- (BOOL) newDir: (char *) name;
- (void) freeDir;
- (struct direct *) nextFile:(BOOL) searchFolders: (BOOL) outputFolders: (char *)path;
 
// Private methods
- (BOOL) pushDir: (char *) name;
- (BOOL) popDir;

@end
